NotificationsServiceAsync (gCube Notifications Portlet 1.4.0-SNAPSHOT API)
Date: 2015-11-19

org.gcube.portlets.user.notifications.client

## Interface NotificationsServiceAsync

-     public interface NotificationsServiceAsync

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getUserInfo(com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portal.databook.shared.UserInfo> callback)`
    `void` | `getUserNotificationPreferences(com.google.gwt.user.client.rpc.AsyncCallback<LinkedHashMap<String,ArrayList<NotificationPreference>>> callback)`
    `void` | `getUserNotifications(com.google.gwt.user.client.rpc.AsyncCallback<HashMap<Date,ArrayList<org.gcube.portal.databook.shared.Notification>>> callback)`
    `void` | `getUserNotificationsByRange(int from, int quantity, com.google.gwt.user.client.rpc.AsyncCallback<HashMap<Date,ArrayList<org.gcube.portal.databook.shared.Notification>>> callback)`
    `void` | `setAllUserNotificationsRead(com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `setUserNotificationPreferences(Map<org.gcube.portal.databook.shared.NotificationType,org.gcube.portal.databook.shared.NotificationChannelType[]> enabledChannels, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`

- - ### Method Detail

    - #### getUserInfo

          void getUserInfo(com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portal.databook.shared.UserInfo> callback)

    - #### getUserNotifications

          void getUserNotifications(com.google.gwt.user.client.rpc.AsyncCallback<HashMap<Date,ArrayList<org.gcube.portal.databook.shared.Notification>>> callback)

    - #### setAllUserNotificationsRead

          void setAllUserNotificationsRead(com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### getUserNotificationPreferences

          void getUserNotificationPreferences(com.google.gwt.user.client.rpc.AsyncCallback<LinkedHashMap<String,ArrayList<NotificationPreference>>> callback)

    - #### setUserNotificationPreferences

          void setUserNotificationPreferences(Map<org.gcube.portal.databook.shared.NotificationType,org.gcube.portal.databook.shared.NotificationChannelType[]> enabledChannels,
                                            com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### getUserNotificationsByRange

          void getUserNotificationsByRange(int from,
                                         int quantity,
                                         com.google.gwt.user.client.rpc.AsyncCallback<HashMap<Date,ArrayList<org.gcube.portal.databook.shared.Notification>>> callback)

Copyright © 2015. All Rights Reserved.